/*General Styles*/
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Raleway', sans-serif;
}

.wraper {
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 80px;
}

.wraper-header {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 25px;
    padding-bottom: 25px;
}

ul {
    list-style-type: none;
}

ol {
    list-style-type: none;
}

img {
    height: auto;
    max-width: 100%;
}

a {
    cursor: pointer;
    text-decoration: none;
}

/*Header*/

/*Burger Menu Pop-up*/

.burger-menu button{
    background-color: transparent;
    border: none;
    position: relative;
    cursor: pointer;
}

.brgr-m-pop-up {
    background-color: white;
    position: absolute;
    z-index: 999;
    left: 10px;
    max-height: 0;
    overflow: hidden;
    opacity: 0;
}

.nav-mobile {
    row-gap: 30px;
    margin: 32px 0;
}

.brgr-m-pop-up .page-heading:hover {
    color: rgba(218, 31, 57, 1);
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.brgr-m-pop-up .page-heading:hover::after {
    content: url(img/scroll\ down.svg);
}

.burger-menu button:focus + .brgr-m-pop-up {
    max-height: 1000px;
    opacity: 1;
}

.lang-link {
    display: flex;
    gap: 60px;
    justify-content: center;
    margin-right: 20px;
    margin-bottom: 20px;
}

.lang-divider {
    width: 1px;
    height: 22px;
    background-color: black;
    position: absolute;
}

.lang-link ul{
    display: flex;
    gap: 25px;
}

.lang-link-active {
    font-weight: 700;
}

/*___________*/

.header-logo {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 999;
}

.nav__wraper {
    display: inline-flex;
    gap: 30px;
}

.nav__item {
    display: inline-flex;
}

.nav__item a:hover {
    color: rgba(218, 31, 57, 1);
    font-weight: 700;
    transition: 300ms;
}

.header__actions {
    display: flex;
    gap: 20px;
    align-items: center;
    z-index: 999;
}

.header__custom-button {
    display: inline-flex;
    align-items: center;
    gap: 20px;
}

.header__actions a{
    display: flex;
    align-items: center;
}

.header__action-button {
    display: inline-flex;
    align-items: center;
    gap: 10px;
}

.icon-arrow-down {
    margin-left: 5px;
}

.icon-bin {
    position: relative;
}

.icon-counter {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    background-color: #DA1F39;
    width: 12px;
    height: 12px;
    color: rgba(255, 255, 255, 1);
    font-size: 10px;
    font-weight: 400;
    border-radius: 50%;
    bottom: 0;
    right: -2px;
}

/*Pop-up Menu*/
.wraper-pop-up-menu {
    position: fixed;
    top: 45px;
    left: 50%;
    transform: translateX(-50%);
    visibility: collapse;
    width: 100%;
    padding-top: 60px;
    padding-bottom: 30px;
    background: white;
    z-index: 998;
    display: grid;
    grid-template-columns: [first] calc(2 / 12 * 100%) [line2] calc(3 / 12 * 100%) [line3] calc(3 / 12 * 100%) [line4] calc(2 / 12 * 100%) [five] calc(2 / 12 * 100%) [end];
}

.nav__wraper a:hover + .wraper-pop-up-menu,
.wraper-pop-up-menu:hover {
    visibility: visible;
    transition: all .25s ease-in-out;
}

.categories-heading {
    font-family: 'Dela';
    color: rgba(154, 154, 154, 1);
    font-weight: 400;
    font-size: 18px;
    text-transform: uppercase;
    margin-bottom: 25px;
}

.categories-heading:hover {
    color: black;
    transition: 300ms;
}

.categories-item {
    font-weight: 300;
    font-size: 14px;
    line-height: 166%;
    margin-bottom: 18px;
}

.categories-item:hover {
    color: #DA1F39;
    font-weight: 700;
    transition: 300ms;
}

/*Breadcrumbs*/
.nav-scheme {
    display: flex;
    padding-top: 10px; 
    padding-bottom: 20px;
}

.nav-scheme__item {
    font-size: 12px;
    font-weight: 300;
    position: relative;
    display: flex;
    align-items: center;
}

.nav-scheme__item:after {
    content: '';
    display: block;
    background-color: black;
    width: 25px;
    height: 1px;
    margin: 0 5px;
}

.nav-scheme .nav-scheme__item:last-of-type:after {
    display: none;
}

.scheme-level {
    font-weight: 600;
}

/*Checkbox*/
.wraper-catalogue {
    display: flex;
    justify-content: space-between;
    padding-bottom: 130px;
}

.wraper-filter {
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin-top: 12px;
}

.wraper-filter label{
    font-size: 12px;
}

.filter-heading {
    font-weight: 600;
}

input[class="active-checkbox"] {
    display: none;
}

input[name="filter"] {
    margin-right: 5px;
}

label {
  cursor: pointer;
}

.wraper-checkbox {
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-top: 5px;
    max-height: 0;
    transition: all 300ms ease;
    overflow: hidden;
    opacity: 0;
}

.wraper-checkbox label {
    display: inline-flex;
    align-items: center;
    color: rgba(86, 86, 86, 1);
    font-weight: 300;
}

.active-checkbox:checked ~ label svg {
    transform: rotate(180deg);
}

.active-checkbox:checked:checked ~ .wraper-checkbox {
    max-height: 1000px;
    opacity: 1;
}

/*Catalogue*/
.catalogue {
    max-width: calc(10 / 12 * 100%);
}

/*Catalogue Header*/
.catalogue-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 45px;
}

.sort-filter {
    display: flex;
    font-weight: 300;
    font-size: 12px;
}

.sort-button {
    margin-left: 5px;
}

.button-layout {
    border: none;
    background: transparent;
    margin-right: 10px;
    cursor: pointer;
    height: 14px;
}

.page-heading {
    font-family: 'Dela';
    font-weight: 400;
    font-size: 36px;
    line-height: 140.3%;
    text-transform: uppercase;
}

/*Catalogue Header Mobile*/
.checkbox-mobile {
    display: flex;
    justify-content: space-between;
    position: relative;
    margin-bottom: 20px;
    font-weight: 300;
    font-size: 12px;
}

.wraper-checkbox-mobile {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    background-color: white;
    z-index: 999;
    justify-content: space-between;
    gap: 10px;
    padding-top: 10px;
    padding-bottom: 20px;
    font-size: 14px;
    color: rgba(86, 86, 86, 1);
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    position: absolute;
    left: 0;
    width: 100%;
}

.filter-heading-mobile {
    font-weight: 700;
    color: black;
}

.active-checkbox:checked:checked ~ .wraper-checkbox-mobile {
    max-height: 420px;
    opacity: 1;
}

/*Catalogue Items*/
.flex-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 50px 4%;
    margin-bottom: 64px;
}

.flex__item {
    max-width: 48%;
}

.item-picture {
    display: flex;
}

.item-picture img {
    transition: box-shadow .3s;
    aspect-ratio: 1/1;
    object-fit: cover;
    object-position: top;
}

.item-picture img:hover {
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.item-caption {
    display: block;
    padding-top: 10px;
    padding-bottom: 5px;
    font-size: 14px;
    font-weight: 300;
    line-height: 23px;
}

.item-price {
    font-size: 14px;
    font-weight: 700;
    line-height: 23px;
}

.catalogue-footer {
    display: flex;
    justify-content: center;
    margin: 0 auto;
    position: relative
}

.pages {
    position: absolute;
    right: 0;
    font-weight: 700;
    font-size: 14px;
}

.pages li{
    margin-left: 10px;
}

.current-page a{
    color: rgba(176, 176, 176, 1);
}

.button-show-more {
    border: none;
    background: transparent;
    cursor: pointer;
    font-weight: 600;
    font-size: 14px;
    text-transform: uppercase;
    text-decoration: underline;
}

.button-show-more svg{
    margin-left: 5px;
}

/*Footer*/
.footer-main {
    background: rgba(244, 244, 244, 1);
    padding-top: 70px;
    padding-bottom: 70px;
    font-size: 14px;
    font-weight: 300;
    line-height: 23px;
    position: relative;
}

.button-up {
    position: absolute;
    left: 50%;
    top: 0;
    transform: translate(-50%, -50%);
}

.footer-logo{
    display: flex;
    justify-content: center;
    padding-bottom: 40px;
}

.footer-nav {
    display: grid;
    grid-template-columns: [first] calc(1 / 12 * 100%) [line2] calc(4 / 12 * 100%) [line3] calc(4 / 12 * 100%) [line4] calc(3 / 12 * 100%) [end];
}

.nav-column li{
    margin-bottom: 10px;
}

.nav-column li:last-child{
    margin-bottom: 0;
}

.highlighted-item {
    color: rgba(218, 31, 57, 1);
    font-weight: 700;
    margin-top: 10px;
}

.heading-underline {
    text-decoration: underline;
}

.phone-number, .adress{
    color: black;
}

.schedule {
    display: inline-flex;
    gap: 20px;
    margin-top: 10px;
}

.footer-icons {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin: 10px 0 64px;
}

@media all and (min-width: 992px) {
    .hide-desktop {
        display: none;
    }
}

@media all and (max-width: 992px) {
    .hide-mobile {
        display: none;
    }

    .wraper {
        padding: 0 10px;
    }

    .wraper-header {
        padding-top: 10px;
        padding-bottom: 10px;
    }

    .wraper-catalogue {
        padding-bottom: 50px;
    }

    .catalogue {
        max-width: 100%;
    }

    .catalogue-header {
        justify-content: end;
        padding: 20px 0;
    }

    .item-picture img{
        aspect-ratio: 1/1.3;
    }

    /*Footer*/
    .footer-logo {
        padding: 20px 0;
    }

    .footer-nav {
        grid-template-columns: repeat(auto-fit, minmax(170px, 1fr));
        gap: 20px;
        grid-template-rows: auto;
    }

    .footer-icons {
        margin: 10px 0 0;
    }
    
}

@media all and (max-width: 600px) {
    .page-heading {
        font-size: 18px;
        line-height: 25px;
        text-transform: uppercase;
    }

}